<?php
$tdatacontoareapa = array();
$tdatacontoareapa[".searchableFields"] = array();
$tdatacontoareapa[".ShortName"] = "contoareapa";
$tdatacontoareapa[".OwnerID"] = "";
$tdatacontoareapa[".OriginalTable"] = "contoareApa";


$tdatacontoareapa[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacontoareapa[".originalPagesByType"] = $tdatacontoareapa[".pagesByType"];
$tdatacontoareapa[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacontoareapa[".originalPages"] = $tdatacontoareapa[".pages"];
$tdatacontoareapa[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacontoareapa[".originalDefaultPages"] = $tdatacontoareapa[".defaultPages"];

//	field labels
$fieldLabelscontoareapa = array();
$fieldToolTipscontoareapa = array();
$pageTitlescontoareapa = array();
$placeHolderscontoareapa = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelscontoareapa["Romanian"] = array();
	$fieldToolTipscontoareapa["Romanian"] = array();
	$placeHolderscontoareapa["Romanian"] = array();
	$pageTitlescontoareapa["Romanian"] = array();
	$fieldLabelscontoareapa["Romanian"]["id"] = "Id";
	$fieldToolTipscontoareapa["Romanian"]["id"] = "";
	$placeHolderscontoareapa["Romanian"]["id"] = "";
	$fieldLabelscontoareapa["Romanian"]["idProprietate"] = "Id Proprietate";
	$fieldToolTipscontoareapa["Romanian"]["idProprietate"] = "";
	$placeHolderscontoareapa["Romanian"]["idProprietate"] = "";
	$fieldLabelscontoareapa["Romanian"]["serie"] = "Serie";
	$fieldToolTipscontoareapa["Romanian"]["serie"] = "";
	$placeHolderscontoareapa["Romanian"]["serie"] = "";
	$fieldLabelscontoareapa["Romanian"]["tipContor"] = "Tip Contor";
	$fieldToolTipscontoareapa["Romanian"]["tipContor"] = "";
	$placeHolderscontoareapa["Romanian"]["tipContor"] = "";
	$fieldLabelscontoareapa["Romanian"]["locatie"] = "Locatie";
	$fieldToolTipscontoareapa["Romanian"]["locatie"] = "";
	$placeHolderscontoareapa["Romanian"]["locatie"] = "";
	$fieldLabelscontoareapa["Romanian"]["obs"] = "Obs";
	$fieldToolTipscontoareapa["Romanian"]["obs"] = "";
	$placeHolderscontoareapa["Romanian"]["obs"] = "";
	$fieldLabelscontoareapa["Romanian"]["idAsociatie"] = "Id Asociatie";
	$fieldToolTipscontoareapa["Romanian"]["idAsociatie"] = "";
	$placeHolderscontoareapa["Romanian"]["idAsociatie"] = "";
	$fieldLabelscontoareapa["Romanian"]["general"] = "General";
	$fieldToolTipscontoareapa["Romanian"]["general"] = "";
	$placeHolderscontoareapa["Romanian"]["general"] = "";
	if (count($fieldToolTipscontoareapa["Romanian"]))
		$tdatacontoareapa[".isUseToolTips"] = true;
}


	$tdatacontoareapa[".NCSearch"] = true;



$tdatacontoareapa[".shortTableName"] = "contoareapa";
$tdatacontoareapa[".nSecOptions"] = 0;

$tdatacontoareapa[".mainTableOwnerID"] = "";
$tdatacontoareapa[".entityType"] = 0;
$tdatacontoareapa[".connId"] = "web111_bl_at_vmw_ro";


$tdatacontoareapa[".strOriginalTableName"] = "contoareApa";

		 



$tdatacontoareapa[".showAddInPopup"] = false;

$tdatacontoareapa[".showEditInPopup"] = false;

$tdatacontoareapa[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacontoareapa[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacontoareapa[".listAjax"] = false;
//	temporary
$tdatacontoareapa[".listAjax"] = false;

	$tdatacontoareapa[".audit"] = false;

	$tdatacontoareapa[".locking"] = false;


$pages = $tdatacontoareapa[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacontoareapa[".edit"] = true;
	$tdatacontoareapa[".afterEditAction"] = 1;
	$tdatacontoareapa[".closePopupAfterEdit"] = 1;
	$tdatacontoareapa[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacontoareapa[".add"] = true;
$tdatacontoareapa[".afterAddAction"] = 1;
$tdatacontoareapa[".closePopupAfterAdd"] = 1;
$tdatacontoareapa[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacontoareapa[".list"] = true;
}



$tdatacontoareapa[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacontoareapa[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacontoareapa[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacontoareapa[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacontoareapa[".printFriendly"] = true;
}



$tdatacontoareapa[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacontoareapa[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacontoareapa[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacontoareapa[".isUseAjaxSuggest"] = true;

$tdatacontoareapa[".rowHighlite"] = true;





$tdatacontoareapa[".ajaxCodeSnippetAdded"] = false;

$tdatacontoareapa[".buttonsAdded"] = false;

$tdatacontoareapa[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacontoareapa[".isUseTimeForSearch"] = false;


$tdatacontoareapa[".badgeColor"] = "8fbc8b";


$tdatacontoareapa[".allSearchFields"] = array();
$tdatacontoareapa[".filterFields"] = array();
$tdatacontoareapa[".requiredSearchFields"] = array();

$tdatacontoareapa[".googleLikeFields"] = array();
$tdatacontoareapa[".googleLikeFields"][] = "id";
$tdatacontoareapa[".googleLikeFields"][] = "idProprietate";
$tdatacontoareapa[".googleLikeFields"][] = "serie";
$tdatacontoareapa[".googleLikeFields"][] = "tipContor";
$tdatacontoareapa[".googleLikeFields"][] = "locatie";
$tdatacontoareapa[".googleLikeFields"][] = "obs";
$tdatacontoareapa[".googleLikeFields"][] = "idAsociatie";
$tdatacontoareapa[".googleLikeFields"][] = "general";



$tdatacontoareapa[".tableType"] = "list";

$tdatacontoareapa[".printerPageOrientation"] = 0;
$tdatacontoareapa[".nPrinterPageScale"] = 100;

$tdatacontoareapa[".nPrinterSplitRecords"] = 40;

$tdatacontoareapa[".geocodingEnabled"] = false;










$tdatacontoareapa[".pageSize"] = 20;

$tdatacontoareapa[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacontoareapa[".strOrderBy"] = $tstrOrderBy;

$tdatacontoareapa[".orderindexes"] = array();


$tdatacontoareapa[".sqlHead"] = "SELECT id,  	idProprietate,  	serie,  	tipContor,  	locatie,  	obs,  	idAsociatie,  	`general`";
$tdatacontoareapa[".sqlFrom"] = "FROM contoareApa";
$tdatacontoareapa[".sqlWhereExpr"] = "";
$tdatacontoareapa[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacontoareapa[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacontoareapa[".arrGroupsPerPage"] = $arrGPP;

$tdatacontoareapa[".highlightSearchResults"] = true;

$tableKeyscontoareapa = array();
$tableKeyscontoareapa[] = "id";
$tdatacontoareapa[".Keys"] = $tableKeyscontoareapa;


$tdatacontoareapa[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["id"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "id";
//	idProprietate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idProprietate";
	$fdata["GoodName"] = "idProprietate";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","idProprietate");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idProprietate";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idProprietate";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["idProprietate"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "idProprietate";
//	serie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "serie";
	$fdata["GoodName"] = "serie";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","serie");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "serie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["serie"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "serie";
//	tipContor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "tipContor";
	$fdata["GoodName"] = "tipContor";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","tipContor");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "tipContor";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipContor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["tipContor"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "tipContor";
//	locatie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "locatie";
	$fdata["GoodName"] = "locatie";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","locatie");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "locatie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "locatie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["locatie"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "locatie";
//	obs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "obs";
	$fdata["GoodName"] = "obs";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","obs");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "obs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["obs"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "obs";
//	idAsociatie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "idAsociatie";
	$fdata["GoodName"] = "idAsociatie";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","idAsociatie");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idAsociatie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idAsociatie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["idAsociatie"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "idAsociatie";
//	general
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "general";
	$fdata["GoodName"] = "general";
	$fdata["ownerTable"] = "contoareApa";
	$fdata["Label"] = GetFieldLabel("contoareApa","general");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "general";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`general`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacontoareapa["general"] = $fdata;
		$tdatacontoareapa[".searchableFields"][] = "general";


$tables_data["contoareApa"]=&$tdatacontoareapa;
$field_labels["contoareApa"] = &$fieldLabelscontoareapa;
$fieldToolTips["contoareApa"] = &$fieldToolTipscontoareapa;
$placeHolders["contoareApa"] = &$placeHolderscontoareapa;
$page_titles["contoareApa"] = &$pageTitlescontoareapa;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["contoareApa"] = array();
//	consumApa
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="consumApa";
		$detailsParam["dOriginalTable"] = "consumApa";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "consumapa";
	$detailsParam["dCaptionTable"] = GetTableCaption("consumApa");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["contoareApa"][$dIndex] = $detailsParam;

	
		$detailsTablesData["contoareApa"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["contoareApa"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["contoareApa"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["contoareApa"][$dIndex]["detailKeys"][]="idContor";

// tables which are master tables for current table (detail)
$masterTablesData["contoareApa"] = array();



	
				$strOriginalDetailsTable="proprietate";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="proprietate";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "proprietate";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["contoareApa"][0] = $masterParams;
				$masterTablesData["contoareApa"][0]["masterKeys"] = array();
	$masterTablesData["contoareApa"][0]["masterKeys"][]="id";
				$masterTablesData["contoareApa"][0]["detailKeys"] = array();
	$masterTablesData["contoareApa"][0]["detailKeys"][]="idProprietate";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_contoareapa()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	idProprietate,  	serie,  	tipContor,  	locatie,  	obs,  	idAsociatie,  	`general`";
$proto0["m_strFrom"] = "FROM contoareApa";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "contoareApa";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "idProprietate",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto8["m_sql"] = "idProprietate";
$proto8["m_srcTableName"] = "contoareApa";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "serie",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto10["m_sql"] = "serie";
$proto10["m_srcTableName"] = "contoareApa";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "tipContor",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto12["m_sql"] = "tipContor";
$proto12["m_srcTableName"] = "contoareApa";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "locatie",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto14["m_sql"] = "locatie";
$proto14["m_srcTableName"] = "contoareApa";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "obs",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto16["m_sql"] = "obs";
$proto16["m_srcTableName"] = "contoareApa";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "idAsociatie",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto18["m_sql"] = "idAsociatie";
$proto18["m_srcTableName"] = "contoareApa";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "general",
	"m_strTable" => "contoareApa",
	"m_srcTableName" => "contoareApa"
));

$proto20["m_sql"] = "`general`";
$proto20["m_srcTableName"] = "contoareApa";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "contoareApa";
$proto23["m_srcTableName"] = "contoareApa";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "idProprietate";
$proto23["m_columns"][] = "serie";
$proto23["m_columns"][] = "tipContor";
$proto23["m_columns"][] = "locatie";
$proto23["m_columns"][] = "obs";
$proto23["m_columns"][] = "idAsociatie";
$proto23["m_columns"][] = "general";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "contoareApa";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "contoareApa";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="contoareApa";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_contoareapa = createSqlQuery_contoareapa();


	
					
;

								

$tdatacontoareapa[".sqlquery"] = $queryData_contoareapa;



$tableEvents["contoareApa"] = new eventsBase;
$tdatacontoareapa[".hasEvents"] = false;

?>